DefaultTrackingModifiedEntitiesRevisionInfoGenerator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.revisioninfo
Class DefaultTrackingModifiedEntitiesRevisionInfoGenerator

    java.lang.Object
      org.hibernate.envers.revisioninfo.DefaultRevisionInfoGenerator
          org.hibernate.envers.revisioninfo.DefaultTrackingModifiedEntitiesRevisionInfoGenerator

All Implemented Interfaces:
  RevisionInfoGenerator

    public class DefaultTrackingModifiedEntitiesRevisionInfoGenerator

extends DefaultRevisionInfoGenerator

Automatically adds entity names, that have been changed during current revision, to revision entity.

See Also:
  `ModifiedEntityNames`, `DefaultTrackingModifiedEntitiesRevisionEntity`

Constructor Summary
`DefaultTrackingModifiedEntitiesRevisionInfoGenerator(String revisionInfoEntityName, Class<?> revisionInfoClass, Class<? extends RevisionListener> listenerClass, PropertyData revisionInfoTimestampData, boolean timestampAsDate, PropertyData modifiedEntityNamesData)`

Method Summary
`void` | `entityChanged(Class entityClass, String entityName, Serializable entityId, RevisionType revisionType, Object revisionEntity)`

Methods inherited from class org.hibernate.envers.revisioninfo.DefaultRevisionInfoGenerator
`generate, saveRevisionData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTrackingModifiedEntitiesRevisionInfoGenerator

    public DefaultTrackingModifiedEntitiesRevisionInfoGenerator(String revisionInfoEntityName,
                                                                Class<?> revisionInfoClass,
                                                                Class<? extends RevisionListener> listenerClass,
                                                                PropertyData revisionInfoTimestampData,
                                                                boolean timestampAsDate,
                                                                PropertyData modifiedEntityNamesData)

Method Detail

### entityChanged

    public void entityChanged(Class entityClass,
                              String entityName,
                              Serializable entityId,
                              RevisionType revisionType,
                              Object revisionEntity)

  Specified by:
    `entityChanged` in interface `RevisionInfoGenerator`
  Overrides:
    `entityChanged` in class `DefaultRevisionInfoGenerator`
  See Also:
    `EntityTrackingRevisionListener.entityChanged(Class, String, Serializable, RevisionType, Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.